[**Headlamp Sealed Secrets API v0.2.0**](../../../README.md)

***

[Headlamp Sealed Secrets API](../../../README.md) / [lib/validators](../README.md) / isNonEmpty

# Function: isNonEmpty()

> **isNonEmpty**(`value`): `boolean`

Defined in: [src/lib/validators.ts:112](https://github.com/privilegedescalation/headlamp-sealed-secrets-plugin/blob/bdf19cd3bf5a2d679b7ba949108fe9df1843c5f4/headlamp-sealed-secrets/src/lib/validators.ts#L112)

Validate that a value is not empty

## Parameters

### value

`string`

Value to check

## Returns

`boolean`

true if value is non-empty string
